# Influxdb configuration

This section will display a brief description of how influxdb was configured in terms of database (Buckets) and task creation.

## Buckets

The main idea is to have two types of Buckets (i.e. data containers), one that records all temporal data in real time and one that records historical data

* **Temporal Bucket**: In this project was created a temporal bucket denominated **TAU_1YEAR_TEST**; this bucket records all the real time data with an accuracy of 3 seconds. The bucket is considered temporal because it has a retention policy of one year, which means that delete data over a period of more than one year.

* **Historical Bucket**: In order not to lose the data, influxdb offers the possibility to periodically send data from the time Bucket to the historical one, in this case without retention policy and with an accuracy of 1 hour.

### Bucket configuration

![Create Bucket](../img/influx_1.png)


## Tasks